Bug 156856 - (CVE-2005-1431) CVE-2005-1431 gnutls record packet parsing DoS [GNUTLS-SA-2005-1]
CVE-2005-1431 gnutls record packet parsing DoS [GNUTLS-SA-2005-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnutls (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
impact=moderate,public=20050428,sourc...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-04 14:40 EDT by Josh Bressers
Modified: 2010-05-21 10:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-01 09:11:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream patch for this issue (876 bytes, patch)
2005-05-04 14:41 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2005-05-04 14:40:06 EDT
The "record packet parsing" in GnuTLS 1.2 before 1.2.3 and 1.0 before 1.0.25
allows remote attackers to cause a denial of service, possibly related to
padding bytes in gnutils_cipher.c.
Comment 1 Josh Bressers 2005-05-04 14:41:35 EDT
Created attachment 114036 [details]
Upstream patch for this issue
Comment 2 Josh Bressers 2005-06-01 09:11:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-430.html
Comment 3 Tomas Hoger 2010-05-21 10:47:57 EDT
This is also known as GNUTLS-SA-2005-1, upstream commit is:
  http://git.savannah.gnu.org/cgit/gnutls.git/commit/?id=7ad61625

Note You need to log in before you can comment on or make changes to this bug.